Loading...
Searching...
No Matches
SampleFromVoxels< TreeOrAccT, 2, false > Class Template Reference

Template specialization that does not use caching of stencil points. More...

`#include <nanovdb/util/SampleFromVoxels.h>`

Inheritance diagram for SampleFromVoxels< TreeOrAccT, 2, false >:

## Public Member Functions

| SampleFromVoxels (const TreeOrAccT &acc)
| Construction from a Tree or ReadAccessor.
template<typename RealT, template< typename... > class Vec3T>
ValueT | operator() (Vec3T< RealT > xyz) const
ValueT | operator() (const CoordT &ijk) const
template<typename RealT, template< typename... > class Vec3T>
bool | zeroCrossing (Vec3T< RealT > xyz) const
| Return true if the tr-linear stencil has a zero crossing at the specified index position.
template<typename RealT, template< typename... > class Vec3T>
TreeOrAccT::ValueType | operator() (Vec3T< RealT > xyz) const
const TreeOrAccT & | accessor () const
void | stencil (const CoordT &ijk, ValueT(&v)[3][3][3]) const
| Extract the stencil of 27 values.
template<typename RealT, template< typename... > class Vec3T>
TreeOrAccT::ValueType | sample (const Vec3T< RealT > &uvw, const ValueT(&v)[3][3][3])

## Static Public Member Functions

template<typename RealT, template< typename... > class Vec3T>
static ValueT | sample (const Vec3T< RealT > &uvw, const ValueT(&v)[3][3][3])
static bool | zeroCrossing (const ValueT(&v)[3][3][3])

## Static Public Attributes

static const int | ORDER = 1

## Protected Attributes

const TreeOrAccT & | mAcc

## Detailed Description

template<typename TreeOrAccT>
class nanovdb::SampleFromVoxels< TreeOrAccT, 2, false >

Template specialization that does not use caching of stencil points.

## Constructor & Destructor Documentation

## SampleFromVoxels()

template<typename TreeOrAccT>

SampleFromVoxels | ( | const TreeOrAccT & | acc | ) |

inline

Construction from a Tree or ReadAccessor.

## Member Function Documentation

## accessor()

template<typename TreeOrAccT>

const TreeOrAccT & accessor | ( |  | ) | const

inline inherited

## operator()() [1/3]

template<typename TreeOrAccT>

ValueT operator() | ( | const CoordT & | ijk | ) | const

inline

## operator()() [2/3]

template<typename TreeOrAccT>
template<typename RealT, template< typename... > class Vec3T>

TreeOrAccT::ValueType operator() | ( | Vec3T< RealT > | xyz | ) | const

## operator()() [3/3]

template<typename TreeOrAccT>
template<typename RealT, template< typename... > class Vec3T>

ValueT operator() | ( | Vec3T< RealT > | xyz | ) | const

inline

Note
  xyz is in index space space

## sample() [1/2]

template<typename TreeOrAccT>
template<typename RealT, template< typename... > class Vec3T>

TreeOrAccT::ValueType sample | ( | const Vec3T< RealT > & | uvw,
|  | const ValueT(&) | v[3][3][3] )

inherited

## sample() [2/2]

template<typename TreeOrAccT>
template<typename RealT, template< typename... > class Vec3T>

ValueT sample | ( | const Vec3T< RealT > & | uvw,
|  | const ValueT(&) | v[3][3][3] )

inline static inherited

## stencil()

template<typename TreeOrAccT>

void stencil | ( | const CoordT & | ijk,
|  | ValueT(&) | v[3][3][3] ) const

inline inherited

Extract the stencil of 27 values.

## zeroCrossing() [1/2]

template<typename TreeOrAccT>
template<typename RealT, template< typename... > class Vec3T>

bool zeroCrossing | ( | Vec3T< RealT > | xyz | ) | const

inline

Return true if the tr-linear stencil has a zero crossing at the specified index position.

Warning
  Will only compile with floating point value types

## zeroCrossing() [2/2]

template<typename TreeOrAccT>

bool zeroCrossing | ( | const ValueT(&) | v[3][3][3] | ) |

inline static inherited

## Member Data Documentation

## mAcc

template<typename TreeOrAccT>

const TreeOrAccT& mAcc

protected inherited

## ORDER

template<typename TreeOrAccT>

const int ORDER = 1

static inherited